Package org.springframework.expression

# Class ExpressionInvocationTargetException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.expression.ExpressionException
org.springframework.expression.EvaluationException
org.springframework.expression.ExpressionInvocationTargetException

All Implemented Interfaces:
  `Serializable`

public class ExpressionInvocationTargetException extends EvaluationException
This exception wraps (as cause) a checked exception thrown by some method that SpEL invokes. It differs from a SpelEvaluationException because this indicates the occurrence of a checked exception that the invoked method was defined to throw. SpelEvaluationExceptions are for handling (and wrapping) unexpected exceptions.

Since:
  3.0.3
Author:
  Andy Clement
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.springframework.expression.ExpressionException

`expressionString, position`

## Constructor Summary

Constructors
Constructor
Description
`ExpressionInvocationTargetException(int position, String message)`
`ExpressionInvocationTargetException(int position, String message, Throwable cause)`
`ExpressionInvocationTargetException(String message)`
`ExpressionInvocationTargetException(String expressionString, String message)`
`ExpressionInvocationTargetException(String message, Throwable cause)`

## Method Summary

### Methods inherited from class org.springframework.expression.ExpressionException

`getExpressionString, getMessage, getPosition, getSimpleMessage, toDetailedString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ExpressionInvocationTargetException

public ExpressionInvocationTargetException(int position, String message, @Nullable Throwable cause)

### ExpressionInvocationTargetException

public ExpressionInvocationTargetException(int position, String message)

### ExpressionInvocationTargetException

public ExpressionInvocationTargetException(String expressionString, String message)

### ExpressionInvocationTargetException

public ExpressionInvocationTargetException(String message, @Nullable Throwable cause)

### ExpressionInvocationTargetException

public ExpressionInvocationTargetException(String message)